io.milvus.param.resourcegroup

## Class UpdateResourceGroupsParam.Builder

- java.lang.Object
- - io.milvus.param.resourcegroup.UpdateResourceGroupsParam.Builder

- Enclosing class:
    UpdateResourceGroupsParam

      public static final class UpdateResourceGroupsParam.Builder
      extends java.lang.Object

  Builder for `UpdateResourceGroupsParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UpdateResourceGroupsParam` | `build()` Builds the UpdateResourceGroupsParam object.
    `UpdateResourceGroupsParam.Builder` | `putResourceGroup(@NonNull java.lang.String resourceGroupName, @NonNull ResourceGroupConfig resourceGroup)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### putResourceGroup

          public UpdateResourceGroupsParam.Builder putResourceGroup(@NonNull
                                                                    @NonNull java.lang.String resourceGroupName,
                                                                    @NonNull
                                                                    @NonNull ResourceGroupConfig resourceGroup)

    - #### build

          public UpdateResourceGroupsParam build()

      Builds the UpdateResourceGroupsParam object.
      Returns:
        `UpdateResourceGroupsParam`